Lead source agents
Get all source agents
Retrieve all source agents of your workspace, newest first. Needs the campaigns:read scope.
get
https://app.replysparrow.com/api/v1/agentsAuthorizations
Response
application/jsonList of agents
Ctrl+I
Get all source agents
curl --request GET \ --url https://app.replysparrow.com/api/v1/agents \ --header 'Authorization: Bearer <token>'[ { "id": "5b0f3c2e-8a8e-4bd1-9a51-6f1f3c0f2a10", "name": "VP Sales in US SaaS", "target_job_titles": [ "VP Sales", "Head of Sales" ], "target_industries": [ "Software Development" ], "target_company_sizes": [ "51-200", "201-500" ], "target_locations": [ "United States" ], "target_company_types": [], "ignored_companies": [ "Globex" ], "mandatory_keywords": [], "exclude_service_providers": true, "skip_icp_filter": false, "signals": [ { "id": "8e2d…", "type": "competitor_engagement", "values": [ "https://www.linkedin.com/company/globex/" ], "enabled": true } ], "paused": false, "status": "active", "min_lead_score": 70, "list_id": "c1a4…", "last_run": null, "last_error": null, "created_at": "2026-10-24T09:12:44.000Z", "updated_at": "2026-10-24T09:12:44.000Z" }]